package cn.yw.machinemanage.dao;
import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;

import com.ibatis.sqlmap.client.SqlMapClient;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ywmachineinfoDao")
public class YwmachineinfoDao extends BaseSqlMapDAO{
	
	/**
	 * 增加记录
	 */
	
	public void insert_Ywmachineinfo(Map map) throws SQLException{
		this.insert("insert_Ywmachineinfo",map);
	}
	
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Ywmachineinfo(List batch) throws SQLException{
		this.insert("batch_insert_Ywmachineinfo",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	
	public Integer update_Ywmachineinfo(Map map) throws SQLException{
		return this.update("update_Ywmachineinfo",map);
	}
	
	
	/**
	 * 删除记录
	 */
	
	public Integer delete_Ywmachineinfo(Map map) throws SQLException{
		return this.delete("delete_Ywmachineinfo",map);
	}
	
	
	/**
	 * 批处理删除记录
	 */
	
	
	public Integer batch_delete_Ywmachineinfo(Map map) throws SQLException{
		return this.delete("batch_delete_Ywmachineinfo",map);
	}
	
	
	/**
	 * 查询总数
	 */
	
	public Integer count_Ywmachineinfo(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywmachineinfo",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	
	public List<Map> query_Ywmachineinfo(Map map) throws SQLException{
		return this.queryForPage("query_Ywmachineinfo",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	public Map get_Ywmachineinfo(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ywmachineinfo",map);
	}
	
	// 更新
	public Integer edit_Ywmachineinfo(Map map) throws SQLException{
		return this.update("edit_Ywmachineinfo",map);
	}
	
	//  首页    运维数据看板 下数字统计
	public List count_HomepageDeviceCount(Map map) throws SQLException{
		return this.queryForList("count_HomepageDeviceCount", map);
	}
}
